/*  ==========================================================================
    Module: FLYOUT NAVIGATION
    http://responsivenavigation.net/examples/off-canvas-slide/always-off-canvas.html
    ========================================================================== */


    /* For IE 6/7 (trigger hasLayout) */
    /* 12 Column Mobile First Grid
    ========================================================================== */

    .flyout-container
    {
        position: relative;

        max-width: 1000px;
        width: 96%;
        margin: 0 auto;
    }


    /* LAYOUT
    ========================================================================== */

    .page-frame,
    .page,
    .content-frame
    {
        height: 100%;
        overflow: hidden;
    }

    .content-frame
    {
        overflow-x: hidden;
        overflow-y: auto;
        z-index: 1000;
    }

    .nav-collapsed, .nav-hidden
    {

        .content-frame
        {
            margin-left: 0;
        }

        // hide backdrop when nav is collapsed
        .backdrop
        {
            visibility: hidden;
            opacity: 0;
            width: calc(100% - 58px);
            pointer-events: none;
        }
    }

    .expanded .nav-collapsed .backdrop, .expanded .nav-hidden .backdrop
    {
        width: calc(100% - 300px);
    }

    .expanded .backdrop
    {
        width: calc(100% - 472px);
    }

    .offcanvas
    {
        position: fixed;
        left: 0;
        top: 0;

        height: 100%;
        width: 300px;
        overflow: hidden;

        cursor: default;
        color: $flyout-nav-text;
        background: $flyout-nav-background;

        transform: translatez(0);
        transition: width ease-in-out 0.28s background linear 0.28s;
        transform: translate(0, 0);
        -webkit-touch-callout:  none;
        -webkit-user-select:    none;
        -moz-user-select:       none;
        -ms-user-select:        none;
        -o-user-select:         none;
        user-select:        none;

        transform: translatez(0);
        transition: width 0.27s;

        &.open
        {
            width: $flyout-nav-width;

            transform: translateX(0);
        }

        ul
        {
            padding: 0;

            list-style: none;
            font-weight: 300;
        }

        a
        {
            &.moveleft
            {
                padding-left: 58px;
            }
        }
    }

    .noTouch .offcanvas
    {
        transform: translatez(0);
        transition: width 0.27s;
        width: 300px;
    }

    .isTouch .offcanvas
    {
        width: 300px;
    }

    .expanded .offcanvas
    {
        width: 472px;
    }

    .offcanvas__homeicon
    {
        width: 30px;
        margin: 16px auto;
        transform: translatez(0);
        transition: width 0.27s;
    }

    .expanded .offcanvas__homeicon
    {
        width: 200px;
    }

    .offcanvas__bar
    {
        position: fixed;
    }

    .offcanvas__content
    {
        width: 242px;
        height: 100%;
        float: right;

        overflow-x: hidden;
        overflow-y: auto;
        -webkit-overflow-scrolling: touch; // scrolling on touch
        pointer-events: none;
    }

    .offcanvas__menu
    {
        position: static;
        z-index: -1;

        float: left;
        width: 242px;
        height: 100%;
        overflow-y: auto;
        overflow-x: hidden;

        transform: translatez(0);
        transition: 0.28s ease-in-out;
    }

    .offcanvas__menu-main
    {
        pointer-events: auto;
    }

    /* STYLING
    ========================================================================== */

    // The content container
    .content-frame
    {
        background-color: $body-background;
        transform: translatez(0);
        // transform:  translate(223px , 0);
        transition: margin-left 0.28s ease-in-out;
        margin-left: 242px;
        box-shadow: -2px 0 5px 0 rgba(50, 50, 50, 0.1);
    }

    .offcanvas__branding
    {
        padding: $double-space $r-gutter;

        background-color: $white;
        width: 100%;
    }

    .offcanvas__bar
    {
        position: relative;

        display: none;
        height: 100%;
        width:58px;
        float: left;

        background-color: $positive;
        transform: translatez(0);
        transition: width 0.27s;

        @include breakpoint(large)
        {
            display: block;
        }
    }

    .expanded .offcanvas__bar
    {
        width: 230px;
    }


    .offcanvas__bar__icon
    {
        position: relative;

        display: inline-block;
        width: 100%;
        padding: $single-space 1.58rem;

        font-size: 2.6rem;
        color: $white;
        cursor: pointer;

        &.navigate-right
        {
            &:after
            {
                position: absolute;
                right: $r-gutter / 2;
                top: calc(50% - 12px);

                font-family: 'zoomsquare';
                content: "\e902";

                font-size: 1.2rem;
            }
        }
    }

    .offcanvas__bar--right
    {
        font-size: 1.1rem;

        &:after
        {
            top: auto !important;
            left: 40px;
            z-index: 1;

            margin-top: -9px;

            color: $white;
            font-weight: bold;
        }
    }

    .noTouch .offcanvas__iconlist
    {
    li
    {
      height: 57px;
      width: 100%;

      &:hover
      {
        background-color: darken($zs-blue, 5%);
      }
    }
    li.highlighted
    {
      background-color: $gray-10;

      .offcanvas__bar__icon,
      .offcanvas__bar__icon .offcanvas__bar--right:after
      {
        color: $gray-85;
      }
    }
  }

  .isTouch .offcanvas__iconlist
  {
    li
    {
      height: 57px;
      width: 100%;
    }
    li.highlighted
    {
      background-color: $gray-10;

      .offcanvas__bar__icon,
      .offcanvas__bar__icon .offcanvas__bar--right:after
      {
        color: $gray-85;
      }
    }
  }

    .offcanvas__icon {
        cursor: pointer;

        &.highlighted
        {
            .description
            {
                color: $gray-85;
            }
        }
    }

    .offcanvas__icon.active {
        background: $blue-dark;
    }


    .offcanvas__bar__navicon
    {
        width: 100%;
        padding: $single-space 1.4rem;

        font-size: 1.9rem;
    }


    .j-collapse
    {
        display: none;
        left: 180px;
    }

    .offcanvas__bar__icon__pushdown
    {
        position: absolute;
        bottom: 5px;
    }

    .offcanvas__sub__profile
    {
        display: none;
    }

    .sub__userprofile,
    .sub__aboutzoomsquare {
        display: none;
    }

    .sub__userprofile
    {
        margin-top: $single-space;
    }

    .sub__userprofile-name
    {
        @extend h3;

        margin-bottom: $single-space;
        padding: 5px;
        
        text-align: center;
    }

    .description
    {
        display: none;
        width: calc(100% - 62px);
        margin-left: 20px;

        color: $white;
        font-size: 1.6rem;
        opacity: 0;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        vertical-align: middle;
    }

    .expanded .description
    {
        opacity: 1;
        display: inline-block;
        //transition: opacity 3.1s 3.2s ease;
        transform: translatez(0);
        animation-duration: 0.6s;
        animation-name: fadeInFromNone;
    }

    @keyframes fadeInFromNone {
        0% {
            display:none;
            opacity: 0;
        }

        60% {
            display: inline-block;
            opacity: 0;
        }

        100% {
            display: block ;
            opacity: 1;
        }
    }

    .offcanvas__settings
    {
        position: absolute !important;
        bottom: 0;

        width: 327px;

        font-size: 2.4rem;
        line-height: 2rem;

        strong
        {
            font-weight: 400;
        }

        small
        {
            font-size: 1.8rem;
        }

        .item
        {
            background-color: $gray-20;
        }
    }

    .sub-menu__heading
    {
        display: inline-block;
        font-weight: 400;
        margin-left: 20px;
        line-height: 4.3rem;
    }

    /* Arrows for expanded or collapsed status */
    .expanded .j-expand
    {
        display: none;
    }

    .j-expand
    {
        position: absolute;
        bottom: 0;
    }

    .expanded .j-collapse
    {
        position: absolute;
        left: 0;
        bottom: 0;

        display: block;
        margin-right: 10px;
    }


    /* SCAFFOLDING
    ========================================================================== */

    // hide navigation
    .no-flyout
    {
        padding-left: $gutter;
    }

    @include breakpoint(large)
    {
        .has-flyout
        {
            padding-left: 58px;
            transform: translatez(0);
            transition: padding-left, 0.28s;
            overflow: hidden;

            &.expanded
            {
                padding-left: 230px;
            }

            &.nav-hidden
            {
                padding-left: 0px;
            }
        }
    }


    /* SLIDING SUBMENU
    ========================================================================== */

    .main-menu
    {
        float: left;
        width: 222px;
    }

    /* Tooltip
    ========================================================================== */

    .flyout-tooltip
    {
        position: fixed;
        z-index: 1500;

        display: none;
        padding: 3px 8px;
        margin-left: 10px;

        color: $white;
        background-color: rgba(0,0,0,0.7);
        border-radius: 4px;
        white-space: nowrap;
    }